package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 预约配置主对象 boman_reservat_config
 * 
 * @author boman
 * @date 2023-11-02
 */
public class BomanReservatConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 预约配置ID */
    private Long reservatConfigId;

    /** 周末是否可预约 N:不预约  Y:可约 */
    @Excel(name = "周末是否可预约 N:不预约  Y:可约")
    private String reservatConfigWeek;

    /** 节假日是否可预约 N:不预约  Y:可约 */
    @Excel(name = "节假日是否可预约 N:不预约  Y:可约")
    private String reservatConfigHoliday;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setReservatConfigId(Long reservatConfigId) 
    {
        this.reservatConfigId = reservatConfigId;
    }

    public Long getReservatConfigId() 
    {
        return reservatConfigId;
    }
    public void setReservatConfigWeek(String reservatConfigWeek) 
    {
        this.reservatConfigWeek = reservatConfigWeek;
    }

    public String getReservatConfigWeek() 
    {
        return reservatConfigWeek;
    }
    public void setReservatConfigHoliday(String reservatConfigHoliday) 
    {
        this.reservatConfigHoliday = reservatConfigHoliday;
    }

    public String getReservatConfigHoliday() 
    {
        return reservatConfigHoliday;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("reservatConfigId", getReservatConfigId())
            .append("reservatConfigWeek", getReservatConfigWeek())
            .append("reservatConfigHoliday", getReservatConfigHoliday())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
